﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Credential;

@using Portal.Models.Globals;
@using Portal.Models.EmergencyOrder; 

@model Toyota.Common.Web.MVC.ModelHolder
           
@using (Html.BeginForm("PartialLPOPConfirmation", "EmergencyOrderCreation", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
<table cellpadding="0" cellspacing="0">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Order No";
                }).GetHtml()             
        </td>
        <td>
            @Html.DevExpress().TextBox(
                textBox =>
                {
                    textBox.Name = "EOCHOrderNoText";
                    textBox.Width = Unit.Pixel(110);
                    textBox.Properties.ReadOnlyStyle.BackColor = DXColor.Silver;
                    textBox.ReadOnly = true;
                }).GetHtml()
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @*@Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Dock Code";
                }).GetHtml()  
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "*";
                    label.ControlStyle.ForeColor = System.Drawing.Color.Red;
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()   *@                                   
        </td>
        <td>
            @*@Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "EOCHDockGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "DockCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "EmergencyOrderCreation", Action = "PartialHeaderDockGridLookupEmergencyOrderCreation" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockCode";
                        column.FieldName = "DockCode";
                        column.Caption = "Dock<br />Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "DockName";
                        column.FieldName = "DockName";
                        column.Caption = "Dock<br />Name";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<Dock>>()).GetHtml()*@
        </td>
        <td style="width:20px"></td> @* column spacing *@
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Arrival Time";
                }).GetHtml()  
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "*";
                    label.ControlStyle.ForeColor = System.Drawing.Color.Red;
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()                                      
        </td>
        <td>
            @Html.DevExpress().DateEdit(
                dateEdit =>
                {
                    dateEdit.Name = "EOCHArrivalDate";
                    dateEdit.Width = 100;
                    dateEdit.Properties.EditFormatString = "dd.MM.yyyy";
                    dateEdit.Properties.DisplayFormatString = "dd.MM.yyyy";
                    dateEdit.Date = DateTime.Now;
                }).GetHtml()            
        </td>
        <td>
            @Html.DevExpress().TimeEdit(
                timeEdit =>
                {
                    timeEdit.Name = "EOCHArrivalTime";
                    timeEdit.Width = 60;
                    timeEdit.Properties.EditFormatString = "HH:mm";
                    timeEdit.Properties.DisplayFormatString = "HH:mm";
                    timeEdit.DateTime = DateTime.Now;
                }).GetHtml()
        </td>
    </tr>  
    @*<tr style="height:5px"></tr> row spacing
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                }).GetHtml()  
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "*";
                    label.ControlStyle.ForeColor = System.Drawing.Color.Red;
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()   
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "EOCHSupplierGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "SupplierCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "EmergencyOrderCreation", Action = "PartialHeaderSupplierGridLookupEmergencyOrderCreation" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierCode";
                        column.FieldName = "SupplierCode";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierName";
                        column.FieldName = "SupplierName";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<Supplier>>()).GetHtml()
        </td>
    </tr>*@
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Upload File";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()   
        </td>
        <td colspan="4">
            @Html.DevExpress().UploadControl(
                upload =>
                {
                    upload.AddButton.Text = "Browse";
                    upload.Name = "EOCFileUpload";
                    upload.CallbackRouteValues = new { Controller = "EmergencyOrderCreation", Action = "EOCFileUpload_CallbackRouteValues" };
                    upload.ClientSideEvents.FileUploadComplete = "OnEOCFileUploadComplete";

                    upload.Width = Unit.Percentage(100);

                    upload.ValidationSettings.MaxFileSize = 10000000;
                    upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                    upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls" };
                    upload.ValidationSettings.ShowErrors = true;

                    upload.CancelButton.Text = "";
                    upload.CancelButtonSpacing = Unit.Pixel(0);
                }).GetHtml()
        </td>
        <td colspan = "4">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "EOCHUploadButton";
                    button.Text = "Upload";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("padding-left", "5px");
                    button.ClientSideEvents.Click = "OnEOCHUploadButtonClick";
                }).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td>
        </td>
        <td colspan="4">
            @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Download Template";
                }).GetHtml()
            @Html.DevExpress().HyperLink(
                link =>
                {
                    link.Name = "EOCHDownloadTemplateLink";
                    link.Properties.Text = "Here";
                    link.Properties.Style.Font.Underline = true;
                    link.Properties.ClientSideEvents.Click = "OnEOCHDownloadTemplateLinkClick";
                    link.ControlStyle.Cursor = "pointer";
                    link.ControlStyle.VerticalAlign = VerticalAlign.Top;
                }).GetHtml()
        </td>
    </tr>  
</table>
}
<div style="height: 15px;"></div> @* div spacing *@
<table cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="left">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "EOCHNewButton";
                    button.Text = "New";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnEOCHNewButtonClick";
                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "EOCHDeleteButton";
                    button.Text = "Delete";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnEOCHDeleteButtonClick";
                }
            ).GetHtml()
        </td>
        <td align="right">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "EOCHSubmitButton";
                    button.Text = "Submit";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnEOCHSubmitButtonClick";
                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "EOCHCancelButton";
                    button.Text = "Cancel";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "OnEOCHCancelButtonClick";
                }
            ).GetHtml()
        </td>
    </tr>
</table>